Package org.tanukisoftware.wrapper.event

# Class WrapperTickEvent

java.lang.Object
java.util.EventObject
org.tanukisoftware.wrapper.event.WrapperEvent
org.tanukisoftware.wrapper.event.WrapperCoreEvent
org.tanukisoftware.wrapper.event.WrapperTickEvent

All Implemented Interfaces:
  `Serializable`

public abstract class WrapperTickEvent extends WrapperCoreEvent
WrapperPingEvent are fired each time a ping is received from the Wrapper process. This event is mainly useful for debugging and statistic collection purposes.

WARNING - Great care should be taken when receiving events of this type. They are sent from within the Wrapper's internal timing thread. If the listner takes too much time working with the event, Wrapper performance could be adversely affected. If unsure, it is recommended that events of this type not be included.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WrapperTickEvent()`
Creates a new WrapperTickEvent.

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`getTickOffset()`
Returns the offset between the tick count used by the Wrapper for time keeping and the tick count generated directly from the system time.
`abstract int`
`getTicks()`
Returns the tick count at the point the event is fired.
`String`
`toString()`
Returns a string representation of the event.

### Methods inherited from class org.tanukisoftware.wrapper.event.WrapperCoreEvent

`getFlags`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperTickEvent

protected WrapperTickEvent()
Creates a new WrapperTickEvent.

## Method Details

### getTicks

public abstract int getTicks()
Returns the tick count at the point the event is fired.

Returns:
  The tick count at the point the event is fired.

### getTickOffset

public abstract int getTickOffset()
Returns the offset between the tick count used by the Wrapper for time keeping and the tick count generated directly from the system time.

This will be 0 in most cases. But will be a positive value if the system time is ever set back for any reason. It will be a negative value if the system time is set forward or if the system is under heavy load. If the wrapper.use_system_time property is set to TRUE then the Wrapper will be using the system tick count for internal timing and this value will always be 0.

Returns:
  The tick count offset.

### toString

public String toString()
Returns a string representation of the event.

Overrides:
  `toString` in class `EventObject`
Returns:
  A string representation of the event.